<?php
	include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
	/*Inicia validacion del lado del servidor*/
	if (!empty($_POST['responsable']) && !empty($_POST['cedula']))
	{
	/* Connect To Database*/
		require_once ("../config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
		require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos
		// escaping, additionally removing everything that could be (html/javascript-) code
		$responsable=mysqli_real_escape_string($con,(strip_tags($_POST["responsable"],ENT_QUOTES)));
		$cedula=mysqli_real_escape_string($con,(strip_tags($_POST["cedula"],ENT_QUOTES)));
		$tipo_vehiculo=mysqli_real_escape_string($con,(strip_tags($_POST["tipo_vehiculo"],ENT_QUOTES)));
		$marca_vehiculo=mysqli_real_escape_string($con,(strip_tags($_POST["marca_vehiculo"],ENT_QUOTES)));
		$placa_vehiculo=mysqli_real_escape_string($con,(strip_tags($_POST["placa_vehiculo"],ENT_QUOTES)));
		$date_added=date("Y-m-d H:i:s");
		$id_despacho=$_POST['id_despacho'];
		$q=$_POST['q'];
		$numero_despacho=$_POST['numero_despacho'];
		$destino=mysqli_real_escape_string($con,(strip_tags($_POST["destino"],ENT_QUOTES)));
		
		$cs=mysqli_query($con, "select count(id_sesion),Max(id_sesion) from historico_sesiones");
		while($resul=mysqli_fetch_array($cs))
		{
			$count=$resul[0];
			$max=$resul[1];
		}
		$cs2=mysqli_query($con, "select * from historico_sesiones where id_sesion='$max'");
		while($resul2=mysqli_fetch_array($cs2))
		{
			$usu=$resul2['usuario'];
		}
		
			$des=mysqli_query($con,"SELECT * FROM despachos where numero_despacho='$numero_despacho'");
if(mysqli_num_rows($des)>0)
{
			$sql2=mysqli_query($con,"UPDATE `fontur`.`despachos` SET `responsable` = '$responsable', `cedula` = '$cedula', `marca_vehiculo` = '$marca_vehiculo', `tipo_vehiculo` = '$tipo_vehiculo', `placa_vehiculo` = '$placa_vehiculo' WHERE `despachos`.`numero_despacho` = $numero_despacho;");
		
		if ($sql2)
		{
			$messages = "Despacho Actualizado satisfactoriamente.";
		} 
				else
		{
			$errors = "Lo siento algo ha salido mal intenta nuevamente.";
		}
			
}
else
{
		$c2=mysqli_query($con,"select * from reservado where numero_despacho='$numero_despacho'");
	    while($d2=mysqli_fetch_array($c2))
		{
			$id_pro=$d2['producto'];
			$contador2=$d2['cantidad'];
			$co=mysqli_query($con,"select * from products where id_producto='$id_pro'");
			$res_co=mysqli_fetch_array($co);
			$existencia=$res_co['existencia'];
			$stock=$existencia-$contador2;
				
			mysqli_query($con,"UPDATE `fontur`.`products` SET `existencia`='$stock' WHERE `products`.`id_producto`='$id_pro'");
		}
		
		
		$sql=mysqli_query($con,"insert into despachos (usuario,despacho,fecha,responsable,cedula,destino,marca_vehiculo,tipo_vehiculo,placa_vehiculo)values('$usu','$numero_despacho','$date_added','$responsable','$cedula','$destino','$marca_vehiculo','$tipo_vehiculo','$placa_vehiculo')");

		mysqli_query($con,"delete from reservado where despacho=$numero_despacho");
		
		if ($sql)
		{
			$messages = "Despacho Registrado satisfactoriamente.";
		} 
		else
		{
			$errors = "Lo siento algo ha salido mal intenta nuevamente.";
		}
}
	} 
	else 
	{
		$errors = "Error desconocido.";
	}
	
	if (!empty($errors))
	{
	?>
		<div class="alert alert-danger" role="alert">
			<button type="button" class="close" data-dismiss="alert">&times;
    		</button>
			<strong>
    		Error!
    		</strong> 
			<?php
			echo $errors;
			?>
		</div>
		<?php
    }
	if (!empty($messages))
	{
	?>
		<div class="alert alert-success" role="alert">
			<button type="button" class="close" data-dismiss="alert">&times;</button>
			<strong>
            ¡Bien hecho!
            </strong>
			<?php
			echo $messages;
			?>
		</div>
		<?php
	}
?>